﻿<%@ Page Language="C#" MasterPageFile="~/Modules/Integration.master" AutoEventWireup="true" CodeBehind="DeviceSyncQueries.aspx.cs" 
    Inherits="BlueDot.Eam.Work.Server.Integration.DeviceSyncQueries" Title="<%$ resources:PageHeaderText %>" %>
    
<asp:Content ID="Content1" ContentPlaceHolderID="contentHolder" runat="server">
    <div class="subhead">
        <table width="100%">
            <tr>
                <td align="left"><asp:Literal ID="Literal1" runat="server" Text="<%$ resources:PageHeaderText %>"/></td>
            </tr>
        </table>
    </div>
    <br />

    <table cellspacing="0" cellpadding="5" width="100%" class="tableservices">
        <asp:Repeater runat="server" ID="deviceSyncQueryRepeater" OnItemDataBound="deviceQueryRepeater_OnItemDataBound" >
            <HeaderTemplate>
                <tr>
                    <td class="tableservices"><b>Device Sync Query Id</b></td>
                    <td class="tableservices"><b>Table Name</b></td>
                    <td class="tableservices"><b>User Group Id</b></td>
                    <td class="tableservices"><b>User Id</b></td>
                    <td class="tableservices"><b>Device Filter Type</b></td>
                    <td class="tableservices"><b>Query Type</b></td>
                    <td class="tableservices"><b>Query Text</b></td>
                    <td class="tableservices">&nbsp;</td>
                </tr>    
            </HeaderTemplate>
            <ItemTemplate>
                <tr class="tableservices">
                    <td class="tableservices"><%# DataBinder.Eval(Container, "DataItem.DeviceSyncQueryId")%></td>
                    <td class="tableservices"><%# DataBinder.Eval(Container, "DataItem.TableName")%></td>
                    <td class="tableservices"><%# DataBinder.Eval(Container, "DataItem.UserGroupId")%></td>
                    <td class="tableservices"><%# DataBinder.Eval(Container, "DataItem.UserId")%></td>
                    <td class="tableservices"><%# DataBinder.Eval(Container, "DataItem.DeviceFilterType")%></td>
                    <td class="tableservices"><%# DataBinder.Eval(Container, "DataItem.QueryType")%></td>
                    <asp:Tablecell runat="server" ID="itemValue" CssClass="tableservices"><%# DataBinder.Eval(Container, "DataItem.QueryText") %></asp:Tablecell>
                    <asp:Tablecell runat="server" ID="itemContainer" CssClass="tableservices" Visible="false">
                        <asp:TextBox runat="server" ID="itemControl" />
                    </asp:Tablecell>
                    <asp:Tablecell ID="Tablecell1" runat="server" CssClass="tableservices" Wrap="true">
                        <asp:LinkButton runat="server" ID="editButton" Text="Edit" OnClick="editButton_Click" CommandName='<%# DataBinder.Eval(Container, "DataItem.DeviceSyncQueryId") %>' />&nbsp;
                        <asp:LinkButton runat="server" ID="testButton" Text="Test" OnClick="testButton_Click" CommandName='<%# DataBinder.Eval(Container, "DataItem.DeviceSyncQueryId") %>' />
                        <asp:LinkButton runat="server" ID="updateButton" Text="Update" OnClick="updateButton_Click" Visible="false" CommandName='<%# DataBinder.Eval(Container, "DataItem.DeviceSyncQueryId") %>' />&nbsp;
                        <asp:LinkButton runat="server" ID="cancelButton" Text="Cancel" OnClick="cancelButton_Click" Visible="false" />&nbsp;
                        <asp:Label runat="server" ID="message" CssClass="Red_Text" />
                    </asp:Tablecell>
                </tr>
            </ItemTemplate>
            <AlternatingItemTemplate>
                <tr class="tableservices" style="background-color:#F3F4E4">
                    <td class="tableservices"><%# DataBinder.Eval(Container, "DataItem.DeviceSyncQueryId")%></td>
                    <td class="tableservices"><%# DataBinder.Eval(Container, "DataItem.TableName")%></td>
                    <td class="tableservices"><%# DataBinder.Eval(Container, "DataItem.UserGroupId")%></td>
                    <td class="tableservices"><%# DataBinder.Eval(Container, "DataItem.UserId")%></td>
                    <td class="tableservices"><%# DataBinder.Eval(Container, "DataItem.DeviceFilterType")%></td>
                    <td class="tableservices"><%# DataBinder.Eval(Container, "DataItem.QueryType")%></td>
                    <asp:Tablecell runat="server" ID="itemValue" CssClass="tableservices"><%# DataBinder.Eval(Container, "DataItem.QueryText") %></asp:Tablecell>
                    <asp:Tablecell runat="server" ID="itemContainer" CssClass="tableservices" Visible="false">
                        <asp:TextBox runat="server" ID="itemControl" />
                    </asp:Tablecell>
                    <asp:Tablecell ID="Tablecell1" runat="server" CssClass="tableservices" Wrap="true">
                        <asp:LinkButton runat="server" ID="editButton" Text="Edit" OnClick="editButton_Click" CommandName='<%# DataBinder.Eval(Container, "DataItem.DeviceSyncQueryId") %>' />&nbsp;
                        <asp:LinkButton runat="server" ID="testButton" Text="Test" OnClick="testButton_Click" CommandName='<%# DataBinder.Eval(Container, "DataItem.DeviceSyncQueryId") %>' />
                        <asp:LinkButton runat="server" ID="updateButton" Text="Update" OnClick="updateButton_Click" Visible="false" CommandName='<%# DataBinder.Eval(Container, "DataItem.DeviceSyncQueryId") %>' />&nbsp;
                        <asp:LinkButton runat="server" ID="cancelButton" Text="Cancel" OnClick="cancelButton_Click" Visible="false" />&nbsp;
                        <asp:Label runat="server" ID="message" CssClass="Red_Text" />
                    </asp:Tablecell>
                </tr>
            </AlternatingItemTemplate>
        </asp:Repeater>
    </table>    
</asp:Content>
